# -*- coding: utf-8 -*-
# Generated by Django 1.11.11 on 2019-02-15 16:45
from __future__ import unicode_literals

import ckeditor_uploader.fields
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import imagekit.models.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=32)),
                ('slug', models.SlugField(blank=True, max_length=80)),
                ('description', models.TextField(blank=True, max_length=300, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('url', models.CharField(blank=True, max_length=300, null=True, validators=[django.core.validators.URLValidator()])),
                ('logo', imagekit.models.fields.ProcessedImageField(null=True, upload_to='images/profiles/')),
            ],
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Name', models.CharField(max_length=100)),
                ('Email', models.EmailField(max_length=255)),
                ('Phone_Number', models.CharField(blank=True, max_length=30, null=True)),
                ('Website_Url', models.URLField(blank=True, null=True)),
                ('Message', models.TextField()),
                ('reply', models.TextField(blank=True, null=True)),
                ('status', models.IntegerField(choices=[(0, 'Published'), (1, 'Unpublished')], default=1)),
            ],
        ),
        migrations.CreateModel(
            name='Contact',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('email', models.EmailField(max_length=255)),
                ('phone', models.CharField(max_length=25)),
                ('body', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Faq',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('questioner_name', models.CharField(max_length=100)),
                ('questioner_email', models.EmailField(max_length=255)),
                ('question', models.TextField()),
                ('reply', models.TextField(blank=True)),
                ('status', models.IntegerField(choices=[(0, 'Published'), (1, 'Unpublished')], default=1)),
                ('replier', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='faq_replier', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='New_Customer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('email', models.EmailField(max_length=255)),
                ('phone', models.CharField(max_length=100)),
                ('address', models.CharField(blank=True, max_length=300, null=True)),
                ('Lat', models.FloatField(blank=True, null=True)),
                ('lon', models.FloatField(blank=True, null=True)),
                ('offer', models.FloatField(blank=True, null=True)),
                ('body', models.TextField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=80, unique=True)),
                ('slug', models.SlugField(blank=True, max_length=80, unique=True)),
                ('content', ckeditor_uploader.fields.RichTextUploadingField(blank=True)),
                ('status', models.IntegerField(choices=[(0, 'Published'), (1, 'Unpublished')], default=1)),
                ('short_description', models.TextField(blank=True, max_length=120, null=True)),
                ('Meta_description', models.TextField(blank=True, null=True)),
                ('Meta_keywords', models.CharField(blank=True, max_length=90, null=True)),
                ('updated_on', models.DateField(auto_now=True)),
                ('created_on', models.DateField(auto_now_add=True)),
                ('publish_on', models.DateField()),
                ('post_image', imagekit.models.fields.ProcessedImageField(null=True, upload_to='images/posts/')),
                ('author', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='author', to=settings.AUTH_USER_MODEL)),
                ('category', models.ManyToManyField(blank=True, related_name='post_category', to='spritju.Category')),
            ],
        ),
        migrations.CreateModel(
            name='Profile',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('bio', models.TextField(blank=True, max_length=500, null=True)),
                ('profile_image', imagekit.models.fields.ProcessedImageField(null=True, upload_to='images/profiles/')),
                ('instagram_url', models.CharField(blank=True, max_length=300, null=True, validators=[django.core.validators.URLValidator()])),
                ('twitter_url', models.CharField(blank=True, max_length=300, null=True, validators=[django.core.validators.URLValidator()])),
                ('linkedin_url', models.CharField(blank=True, max_length=300, null=True, validators=[django.core.validators.URLValidator()])),
                ('facebook_url', models.CharField(blank=True, max_length=300, null=True, validators=[django.core.validators.URLValidator()])),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='SiteSettings',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Spritju_support_Email', models.EmailField(default='support@spritju.com', max_length=254)),
                ('Spritju_phone_number', models.CharField(blank=True, max_length=255, null=True)),
                ('Spritju_Instagram_url', models.CharField(blank=True, max_length=300, null=True, validators=[django.core.validators.URLValidator()])),
                ('Spritju_Facebook_url', models.CharField(blank=True, max_length=300, null=True, validators=[django.core.validators.URLValidator()])),
                ('Spritju_linkedin_url', models.CharField(blank=True, max_length=300, null=True, validators=[django.core.validators.URLValidator()])),
                ('Spritju_twitter_url', models.CharField(blank=True, max_length=300, null=True, validators=[django.core.validators.URLValidator()])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='comment',
            name='post',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='comment_post', to='spritju.Post'),
        ),
        migrations.AddField(
            model_name='comment',
            name='replier',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='comment_replier', to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='category',
            name='posts',
            field=models.ManyToManyField(blank=True, related_name='category_posts', to='spritju.Post'),
        ),
    ]
